<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KDecoration</name>
    <filename>classKDecoration.html</filename>
    <base>KDecorationDefines</base>
    <member kind="slot">
      <type>void</type>
      <name>closeWindow</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>maximize</name>
      <anchor>i1</anchor>
      <arglist>(MaximizeMode mode)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>minimize</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showContextHelp</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDesktop</name>
      <anchor>i4</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleOnAllDesktops</name>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>titlebarDblClickOperation</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setShade</name>
      <anchor>i7</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setKeepAbove</name>
      <anchor>i8</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setKeepBelow</name>
      <anchor>i9</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDecoration</name>
      <anchor>a0</anchor>
      <arglist>(KDecorationBridge *bridge, KDecorationFactory *factory)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KDecoration</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCloseable</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMaximizable</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>MaximizeMode</type>
      <name>maximizeMode</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMinimizable</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>providesContextHelp</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktop</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnAllDesktops</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModal</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShadeable</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShade</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSetShade</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepAbove</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepBelow</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMovable</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResizable</name>
      <anchor>a17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>NET::WindowType</type>
      <name>windowType</name>
      <anchor>a18</anchor>
      <arglist>(unsigned long supported_types) const</arglist>
    </member>
    <member kind="function">
      <type>QIconSet</type>
      <name>icon</name>
      <anchor>a19</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>caption</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showWindowMenu</name>
      <anchor>a21</anchor>
      <arglist>(QPoint pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>performWindowOperation</name>
      <anchor>a22</anchor>
      <arglist>(WindowOperation op)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMask</name>
      <anchor>a23</anchor>
      <arglist>(const QRegion &amp;reg, int mode=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearMask</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPreview</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>geometry</name>
      <anchor>a26</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>iconGeometry</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRegion</type>
      <name>unobscuredRegion</name>
      <anchor>a28</anchor>
      <arglist>(const QRegion &amp;r) const</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>workspaceWidget</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>width</name>
      <anchor>a30</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>height</name>
      <anchor>a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processMousePressEvent</name>
      <anchor>a32</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>init</name>
      <anchor>a33</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Position</type>
      <name>mousePosition</name>
      <anchor>a34</anchor>
      <arglist>(const QPoint &amp;p) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>borders</name>
      <anchor>a35</anchor>
      <arglist>(int &amp;left, int &amp;right, int &amp;top, int &amp;bottom) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resize</name>
      <anchor>a36</anchor>
      <arglist>(const QSize &amp;s)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QSize</type>
      <name>minimumSize</name>
      <anchor>a37</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>activeChange</name>
      <anchor>a38</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>captionChange</name>
      <anchor>a39</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>iconChange</name>
      <anchor>a40</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>maximizeChange</name>
      <anchor>a41</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>desktopChange</name>
      <anchor>a42</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>shadeChange</name>
      <anchor>a43</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>drawbound</name>
      <anchor>a44</anchor>
      <arglist>(const QRect &amp;geom, bool clear)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>animateMinimize</name>
      <anchor>a45</anchor>
      <arglist>(bool minimize)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>windowDocked</name>
      <anchor>a46</anchor>
      <arglist>(Position side)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchor>a47</anchor>
      <arglist>(unsigned long changed)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMainWidget</name>
      <anchor>a48</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createMainWidget</name>
      <anchor>a49</anchor>
      <arglist>(WFlags flags=0)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>initialParentWidget</name>
      <anchor>a50</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>WFlags</type>
      <name>initialWFlags</name>
      <anchor>a51</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>helperShowHide</name>
      <anchor>a52</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchor>a53</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QWidget *</type>
      <name>widget</name>
      <anchor>a54</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KDecorationFactory *</type>
      <name>factory</name>
      <anchor>a55</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>grabXServer</name>
      <anchor>a56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ungrabXServer</name>
      <anchor>a57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>const KDecorationOptions *</type>
      <name>options</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDecorationDefines</name>
    <filename>classKDecorationDefines.html</filename>
    <member kind="enumeration">
      <name>Position</name>
      <anchor>w56</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>MaximizeMode</name>
      <anchor>w57</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MaximizeRestore</name>
      <anchor>w57w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MaximizeVertical</name>
      <anchor>w57w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MaximizeHorizontal</name>
      <anchor>w57w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MaximizeFull</name>
      <anchor>w57w12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ColorType</name>
      <anchor>w59</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorTitleBar</name>
      <anchor>w59w33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorTitleBlend</name>
      <anchor>w59w34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorFont</name>
      <anchor>w59w35</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorButtonBg</name>
      <anchor>w59w36</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorFrame</name>
      <anchor>w59w37</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ColorHandle</name>
      <anchor>w59w38</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingDecoration</name>
      <anchor>w60w40</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingColors</name>
      <anchor>w60w41</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingFont</name>
      <anchor>w60w42</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingButtons</name>
      <anchor>w60w43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingTooltips</name>
      <anchor>w60w44</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SettingBorder</name>
      <anchor>w60w45</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BorderSize</name>
      <anchor>w61</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderTiny</name>
      <anchor>w61w46</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderNormal</name>
      <anchor>w61w47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderLarge</name>
      <anchor>w61w48</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderVeryLarge</name>
      <anchor>w61w49</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderHuge</name>
      <anchor>w61w50</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderVeryHuge</name>
      <anchor>w61w51</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BorderOversized</name>
      <anchor>w61w52</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDecorationOptions</name>
    <filename>classKDecorationOptions.html</filename>
    <base>KDecorationDefines</base>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>color</name>
      <anchor>a2</anchor>
      <arglist>(ColorType type, bool active=true) const</arglist>
    </member>
    <member kind="function">
      <type>const QColorGroup &amp;</type>
      <name>colorGroup</name>
      <anchor>a3</anchor>
      <arglist>(ColorType type, bool active=true) const</arglist>
    </member>
    <member kind="function">
      <type>const QFont &amp;</type>
      <name>font</name>
      <anchor>a4</anchor>
      <arglist>(bool active=true, bool small=false) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>customButtonPositions</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>titleButtonsLeft</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>titleButtonsRight</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showTooltips</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>BorderSize</type>
      <name>preferredBorderSize</name>
      <anchor>a9</anchor>
      <arglist>(KDecorationFactory *factory) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>moveResizeMaximizedWindows</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned long</type>
      <name>updateSettings</name>
      <anchor>a11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KDecorationOptionsPrivate *</type>
      <name>d</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KWinInternal::Client</name>
    <filename>classKWinInternal_1_1Client.html</filename>
    <base>KDecorationDefines</base>
    <member kind="slot">
      <type>void</type>
      <name>minimize</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>unminimize</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>closeWindow</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>killWindow</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>maximize</name>
      <anchor>i4</anchor>
      <arglist>(MaximizeMode)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleOnAllDesktops</name>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleShade</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showContextHelp</name>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>autoRaise</name>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>cancelAutoRaise</name>
      <anchor>i9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>shadeHover</name>
      <anchor>i10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>destroyClient</name>
      <anchor>i11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Client</name>
      <anchor>a0</anchor>
      <arglist>(Workspace *ws)</arglist>
    </member>
    <member kind="function">
      <type>Window</type>
      <name>window</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Window</type>
      <name>frameId</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Window</type>
      <name>wrapperId</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Window</type>
      <name>decorationId</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Workspace *</type>
      <name>workspace</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const Client *</type>
      <name>transientFor</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Client *</type>
      <name>transientFor</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTransient</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>groupTransient</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wasOriginallyGroupTransient</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ClientList</type>
      <name>mainClients</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTransient</name>
      <anchor>a12</anchor>
      <arglist>(const Client *c, bool indirect) const</arglist>
    </member>
    <member kind="function">
      <type>const ClientList &amp;</type>
      <name>transients</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkTransient</name>
      <anchor>a14</anchor>
      <arglist>(Window w)</arglist>
    </member>
    <member kind="function">
      <type>Client *</type>
      <name>findModal</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Group *</type>
      <name>group</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Group *</type>
      <name>group</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NET::WindowType</type>
      <name>windowType</name>
      <anchor>a18</anchor>
      <arglist>(bool strict=false, int supported_types=SUPPORTED_WINDOW_TYPES_MASK) const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>geometry</name>
      <anchor>a19</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>size</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>minSize</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>pos</name>
      <anchor>a22</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>rect</name>
      <anchor>a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>x</name>
      <anchor>a24</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>y</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>width</name>
      <anchor>a26</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>height</name>
      <anchor>a27</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPoint</type>
      <name>clientPos</name>
      <anchor>a28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>clientSize</name>
      <anchor>a29</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>windowEvent</name>
      <anchor>a30</anchor>
      <arglist>(XEvent *e)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchor>a31</anchor>
      <arglist>(QObject *o, QEvent *e)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>manage</name>
      <anchor>a32</anchor>
      <arglist>(Window w, bool isMapped)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>releaseWindow</name>
      <anchor>a33</anchor>
      <arglist>(bool on_shutdown=false)</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>adjustedSize</name>
      <anchor>a34</anchor>
      <arglist>(const QSize &amp;, Sizemode mode=SizemodeAny) const</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>icon</name>
      <anchor>a35</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>miniIcon</name>
      <anchor>a36</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchor>a37</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchor>a38</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktop</name>
      <anchor>a39</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDesktop</name>
      <anchor>a40</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnDesktop</name>
      <anchor>a41</anchor>
      <arglist>(int d) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnCurrentDesktop</name>
      <anchor>a42</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOnAllDesktops</name>
      <anchor>a43</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOnAllDesktops</name>
      <anchor>a44</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShown</name>
      <anchor>a45</anchor>
      <arglist>(bool shaded_is_shown) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShade</name>
      <anchor>a46</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ShadeMode</type>
      <name>shadeMode</name>
      <anchor>a47</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShade</name>
      <anchor>a48</anchor>
      <arglist>(ShadeMode mode)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShadeable</name>
      <anchor>a49</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMinimized</name>
      <anchor>a50</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMaximizable</name>
      <anchor>a51</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>geometryRestore</name>
      <anchor>a52</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>MaximizeMode</type>
      <name>maximizeMode</name>
      <anchor>a53</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMinimizable</name>
      <anchor>a54</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaximize</name>
      <anchor>a55</anchor>
      <arglist>(bool vertically, bool horizontally)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFullScreen</name>
      <anchor>a56</anchor>
      <arglist>(bool set, bool user)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFullScreen</name>
      <anchor>a57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFullScreenable</name>
      <anchor>a58</anchor>
      <arglist>(bool fullscreen_hack=false) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>userCanSetFullScreen</name>
      <anchor>a59</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>geometryFSRestore</name>
      <anchor>a60</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fullScreenMode</name>
      <anchor>a61</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUserNoBorder</name>
      <anchor>a62</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserNoBorder</name>
      <anchor>a63</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>userCanSetNoBorder</name>
      <anchor>a64</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>noBorder</name>
      <anchor>a65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>skipTaskbar</name>
      <anchor>a66</anchor>
      <arglist>(bool from_outside=false) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSkipTaskbar</name>
      <anchor>a67</anchor>
      <arglist>(bool set, bool from_outside)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>skipPager</name>
      <anchor>a68</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSkipPager</name>
      <anchor>a69</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepAbove</name>
      <anchor>a70</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeepAbove</name>
      <anchor>a71</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keepBelow</name>
      <anchor>a72</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeepBelow</name>
      <anchor>a73</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>Layer</type>
      <name>layer</name>
      <anchor>a74</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Layer</type>
      <name>belongsToLayer</name>
      <anchor>a75</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>invalidateLayer</name>
      <anchor>a76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setModal</name>
      <anchor>a77</anchor>
      <arglist>(bool modal)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModal</name>
      <anchor>a78</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>storeSettings</name>
      <anchor>a79</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStoreSettings</name>
      <anchor>a80</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wantsTabFocus</name>
      <anchor>a81</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wantsInput</name>
      <anchor>a82</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasNETSupport</name>
      <anchor>a83</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMovable</name>
      <anchor>a84</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDesktop</name>
      <anchor>a85</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDock</name>
      <anchor>a86</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isToolbar</name>
      <anchor>a87</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTopMenu</name>
      <anchor>a88</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMenu</name>
      <anchor>a89</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNormalWindow</name>
      <anchor>a90</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDialog</name>
      <anchor>a91</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSplash</name>
      <anchor>a92</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isUtility</name>
      <anchor>a93</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOverride</name>
      <anchor>a94</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSpecialWindow</name>
      <anchor>a95</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResizable</name>
      <anchor>a96</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCloseable</name>
      <anchor>a97</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeFocus</name>
      <anchor>a98</anchor>
      <arglist>(bool force, allowed_t)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>demandAttention</name>
      <anchor>a99</anchor>
      <arglist>(bool set=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMask</name>
      <anchor>a100</anchor>
      <arglist>(const QRegion &amp;r, int mode=X::Unsorted)</arglist>
    </member>
    <member kind="function">
      <type>QRegion</type>
      <name>mask</name>
      <anchor>a101</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateDecoration</name>
      <anchor>a102</anchor>
      <arglist>(bool check_workspace_pos, bool force=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkBorderSizes</name>
      <anchor>a103</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>shape</name>
      <anchor>a104</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateShape</name>
      <anchor>a105</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGeometry</name>
      <anchor>a106</anchor>
      <arglist>(int x, int y, int w, int h, ForceGeometry_t force=NormalGeometrySet)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGeometry</name>
      <anchor>a107</anchor>
      <arglist>(const QRect &amp;r, ForceGeometry_t force=NormalGeometrySet)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>move</name>
      <anchor>a108</anchor>
      <arglist>(int x, int y, ForceGeometry_t force=NormalGeometrySet)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>move</name>
      <anchor>a109</anchor>
      <arglist>(const QPoint &amp;p, ForceGeometry_t force=NormalGeometrySet)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>plainResize</name>
      <anchor>a110</anchor>
      <arglist>(int w, int h, ForceGeometry_t force=NormalGeometrySet)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>plainResize</name>
      <anchor>a111</anchor>
      <arglist>(const QSize &amp;s, ForceGeometry_t force=NormalGeometrySet)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>keepInArea</name>
      <anchor>a112</anchor>
      <arglist>(const QRect &amp;area)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>growHorizontal</name>
      <anchor>a113</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>shrinkHorizontal</name>
      <anchor>a114</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>growVertical</name>
      <anchor>a115</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>shrinkVertical</name>
      <anchor>a116</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>providesContextHelp</name>
      <anchor>a117</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>performMouseCommand</name>
      <anchor>a118</anchor>
      <arglist>(Options::MouseCommand, QPoint globalPos)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>windowRole</name>
      <anchor>a119</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>sessionId</name>
      <anchor>a120</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>resourceName</name>
      <anchor>a121</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>resourceClass</name>
      <anchor>a122</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>wmCommand</name>
      <anchor>a123</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>wmClientMachine</name>
      <anchor>a124</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Window</type>
      <name>wmClientLeader</name>
      <anchor>a125</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>pid_t</type>
      <name>pid</name>
      <anchor>a126</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>adjustedClientArea</name>
      <anchor>a127</anchor>
      <arglist>(const QRect &amp;area) const</arglist>
    </member>
    <member kind="function">
      <type>Colormap</type>
      <name>colormap</name>
      <anchor>a128</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hideClient</name>
      <anchor>a129</anchor>
      <arglist>(bool hide)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>virtualDesktopChange</name>
      <anchor>a130</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>caption</name>
      <anchor>a131</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>keyPressEvent</name>
      <anchor>a132</anchor>
      <arglist>(uint key_code)</arglist>
    </member>
    <member kind="function">
      <type>Window</type>
      <name>moveResizeGrabWindow</name>
      <anchor>a133</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QPoint</type>
      <name>calculateGravitation</name>
      <anchor>a134</anchor>
      <arglist>(bool invert, int gravity=0) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>NETMoveResize</name>
      <anchor>a135</anchor>
      <arglist>(int x_root, int y_root, NET::Direction direction)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>NETMoveResizeWindow</name>
      <anchor>a136</anchor>
      <arglist>(int flags, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restackWindow</name>
      <anchor>a137</anchor>
      <arglist>(Window above, int detail, NET::RequestSource source, bool send_event=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>gotPing</name>
      <anchor>a138</anchor>
      <arglist>(Time timestamp)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkWorkspacePosition</name>
      <anchor>a139</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateUserTime</name>
      <anchor>a140</anchor>
      <arglist>(Time time=CurrentTime)</arglist>
    </member>
    <member kind="function">
      <type>Time</type>
      <name>userTime</name>
      <anchor>a141</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasUserTimeSupport</name>
      <anchor>a142</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ignoreFocusStealing</name>
      <anchor>a143</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QCString</type>
      <name>staticWindowRole</name>
      <anchor>e0</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QCString</type>
      <name>staticSessionId</name>
      <anchor>e1</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QCString</type>
      <name>staticWmCommand</name>
      <anchor>e2</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QCString</type>
      <name>staticWmClientMachine</name>
      <anchor>e3</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>Window</type>
      <name>staticWmClientLeader</name>
      <anchor>e4</anchor>
      <arglist>(WId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>deleteClient</name>
      <anchor>e5</anchor>
      <arglist>(Client *c, allowed_t)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>resourceMatch</name>
      <anchor>e6</anchor>
      <arglist>(const Client *c1, const Client *c2)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>belongToSameApplication</name>
      <anchor>e7</anchor>
      <arglist>(const Client *c1, const Client *c2, bool active_hack=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>readIcons</name>
      <anchor>e8</anchor>
      <arglist>(Window win, QPixmap *icon, QPixmap *miniicon)</arglist>
    </member>
  </compound>
</tagfile>
