<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KBgndDialogPage</name>
    <filename>classKBgndDialogPage.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotWallPaperChanged</name>
      <anchor>i0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotBrowse</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KBgndDialogPage</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const QString &amp;pixmapFile, KInstance *instance, const char *resource)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>pixmap</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pixmapFile</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showSettings</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadWallPaper</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchor>b2</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>m_browseButton</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>m_wallBox</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QFrame *</type>
      <name>m_wallWidget</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPixmap</type>
      <name>m_wallPixmap</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_wallFile</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>imageX</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>imageW</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>imageH</name>
      <anchor>p7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>imageY</name>
      <anchor>p8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KInstance *</type>
      <name>m_instance</name>
      <anchor>p9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>m_resource</name>
      <anchor>p10</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FaviconsModule</name>
    <filename>classFaviconsModule.html</filename>
    <member kind="dcop">
      <type>QString</type>
      <name>iconForURL</name>
      <anchor>z0</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>setIconForURL</name>
      <anchor>z1</anchor>
      <arglist>(const KURL &amp;url, const KURL &amp;iconURL)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>downloadHostIcon</name>
      <anchor>z2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>infoMessage</name>
      <anchor>z3</anchor>
      <arglist>(KURL iconURL, QString msg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FaviconsModule</name>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;obj)</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString</type>
      <name>hostOrURL</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString QString</type>
      <name>iconName</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFileIVI</name>
    <filename>classKFileIVI.html</filename>
    <member kind="function">
      <type></type>
      <name>KFileIVI</name>
      <anchor>a0</anchor>
      <arglist>(KonqIconViewWidget *iconview, KFileItem *fileitem, int size)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>returnPressed</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KFileItem *</type>
      <name>item</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>acceptDrop</name>
      <anchor>a4</anchor>
      <arglist>(const QMimeSource *mime) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchor>a5</anchor>
      <arglist>(int size, int state=KIcon::DefaultState, bool recalc=false, bool redraw=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPixmapDirect</name>
      <anchor>a6</anchor>
      <arglist>(const QPixmap &amp;pixmap, bool recalc=false, bool redraw=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>invalidateThumb</name>
      <anchor>a7</anchor>
      <arglist>(int state, bool redraw=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>invalidateThumbnail</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isThumbnailInvalid</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasValidThumbnail</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>state</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iconSize</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchor>a13</anchor>
      <arglist>(bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setThumbnailPixmap</name>
      <anchor>a14</anchor>
      <arglist>(const QPixmap &amp;pixmap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEffect</name>
      <anchor>a15</anchor>
      <arglist>(int state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isThumbnail</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOverlay</name>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;iconName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>refreshIcon</name>
      <anchor>a18</anchor>
      <arglist>(bool redraw)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setKey</name>
      <anchor>a19</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>paintItem</name>
      <anchor>a20</anchor>
      <arglist>(QPainter *p, const QColorGroup &amp;cg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>move</name>
      <anchor>a21</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMouseOverAnimation</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;movieFileName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mouseOverAnimation</name>
      <anchor>a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasAnimation</name>
      <anchor>a24</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAnimated</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAnimated</name>
      <anchor>a26</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchor>a27</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>KIVDirectoryOverlay *</type>
      <name>setShowDirectoryOverlay</name>
      <anchor>a28</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showDirectoryOverlay</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>compare</name>
      <anchor>a30</anchor>
      <arglist>(QIconViewItem *i) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropped</name>
      <anchor>b0</anchor>
      <arglist>(QDropEvent *e, const QValueList&lt; QIconDragItem &gt; &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintOverlay</name>
      <anchor>b1</anchor>
      <arglist>(QPainter *p) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QColorGroup</type>
      <name>updateColors</name>
      <anchor>b2</anchor>
      <arglist>(const QColorGroup &amp;c) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintFontUpdate</name>
      <anchor>b3</anchor>
      <arglist>(QPainter *p) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNewMenu</name>
    <filename>classKNewMenu.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotCheckUpToDate</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNewMenu</name>
      <anchor>a0</anchor>
      <arglist>(KActionCollection *_collec, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNewMenu</name>
      <anchor>a1</anchor>
      <arglist>(KActionCollection *_collec, QWidget *parentWidget, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPopupFiles</name>
      <anchor>a3</anchor>
      <arglist>(KURL::List &amp;_files)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPopupFiles</name>
      <anchor>a4</anchor>
      <arglist>(const KURL &amp;_file)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewDir</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewFile</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFillTemplates</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotResult</name>
      <anchor>j3</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRenamed</name>
      <anchor>j4</anchor>
      <arglist>(KIO::Job *, const KURL &amp;, const KURL &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqBgndDialog</name>
    <filename>classKonqBgndDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqBgndDialog</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;pixmapFile, KInstance *instance)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>pixmap</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pixmapFile</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqFavIconMgr</name>
    <filename>classKonqFavIconMgr.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyChange</name>
      <anchor>z0</anchor>
      <arglist>(bool, QString, QString)=0</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqFavIconMgr</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>setIconForURL</name>
      <anchor>e0</anchor>
      <arglist>(const KURL &amp;url, const KURL &amp;iconURL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>downloadHostIcon</name>
      <anchor>e1</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>iconForURL</name>
      <anchor>e2</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqFMSettings</name>
    <filename>classKonqFMSettings.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>shouldEmbed</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;serviceType) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wordWrapText</name>
      <anchor>a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>underlineLink</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fileSizeInBytes</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>alwaysNewWin</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>homeURL</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showFileTips</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showPreviewsInFileTips</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numFileTips</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>renameIconDirectly</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QFont &amp;</type>
      <name>standardFont</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>normalTextColor</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>highlightedTextColor</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>itemTextBackground</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>textPreviewIconTransparency</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>caseSensitiveCompare</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;a, const QString &amp;b) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KonqFMSettings *</type>
      <name>settings</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KonqFMSettings</name>
      <anchor>b0</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqFMSettings</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqHistoryComm</name>
    <filename>classKonqHistoryComm.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyHistoryEntry</name>
      <anchor>z0</anchor>
      <arglist>(KonqHistoryEntry e, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyMaxCount</name>
      <anchor>z1</anchor>
      <arglist>(Q_UINT32 count, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyMaxAge</name>
      <anchor>z2</anchor>
      <arglist>(Q_UINT32 days, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyClear</name>
      <anchor>z3</anchor>
      <arglist>(QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyRemove</name>
      <anchor>z4</anchor>
      <arglist>(KURL url, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>notifyRemove</name>
      <anchor>z5</anchor>
      <arglist>(KURL::List url, QCString saveId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QStringList</type>
      <name>allURLs</name>
      <anchor>z6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KonqHistoryComm</name>
      <anchor>b0</anchor>
      <arglist>(QCString objId)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqHistoryManager</name>
    <filename>classKonqHistoryManager.html</filename>
    <base>KonqHistoryComm</base>
    <member kind="slot">
      <type>bool</type>
      <name>loadHistory</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveHistory</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>emitClear</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingFinished</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>entryAdded</name>
      <anchor>l1</anchor>
      <arglist>(const KonqHistoryEntry *entry)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>entryRemoved</name>
      <anchor>l2</anchor>
      <arglist>(const KonqHistoryEntry *entry)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqHistoryManager</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSetMaxCount</name>
      <anchor>a2</anchor>
      <arglist>(Q_UINT32 count)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSetMaxAge</name>
      <anchor>a3</anchor>
      <arglist>(Q_UINT32 days)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitRemoveFromHistory</name>
      <anchor>a4</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitRemoveFromHistory</name>
      <anchor>a5</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>maxCount</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>maxAge</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPending</name>
      <anchor>a8</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;typedURL=QString::null, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>confirmPending</name>
      <anchor>a9</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;typedURL=QString::null, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removePending</name>
      <anchor>a10</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>KCompletion *</type>
      <name>completionObject</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KonqHistoryList &amp;</type>
      <name>entries</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert</name>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KonqHistoryManager *</type>
      <name>kself</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>adjustSize</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isExpired</name>
      <anchor>b1</anchor>
      <arglist>(KonqHistoryEntry *entry)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitAddToHistory</name>
      <anchor>b2</anchor>
      <arglist>(const KonqHistoryEntry &amp;entry)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyHistoryEntry</name>
      <anchor>b3</anchor>
      <arglist>(KonqHistoryEntry e, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyMaxCount</name>
      <anchor>b4</anchor>
      <arglist>(Q_UINT32 count, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyMaxAge</name>
      <anchor>b5</anchor>
      <arglist>(Q_UINT32 days, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyClear</name>
      <anchor>b6</anchor>
      <arglist>(QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyRemove</name>
      <anchor>b7</anchor>
      <arglist>(KURL url, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyRemove</name>
      <anchor>b8</anchor>
      <arglist>(KURL::List urls, QCString saveId)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>allURLs</name>
      <anchor>b9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addToHistory</name>
      <anchor>b10</anchor>
      <arglist>(bool pending, const KURL &amp;url, const QString &amp;typedURL=QString::null, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>filterOut</name>
      <anchor>b11</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addToUpdateList</name>
      <anchor>b12</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>m_updateURLs</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqIconViewWidget</name>
    <filename>classKonqIconViewWidget.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSaveIconPositions</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>renameSelectedItem</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotToolTipPreview</name>
      <anchor>i3</anchor>
      <arglist>(const KFileItem *, const QPixmap &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotToolTipPreviewResult</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>enableAction</name>
      <anchor>l0</anchor>
      <arglist>(const char *name, bool enabled)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dropped</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>imagePreviewFinished</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>incIconSize</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>decIconSize</name>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqIconViewWidget</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0L, const char *name=0L, WFlags f=0, bool kdesktop=FALSE)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initConfig</name>
      <anchor>a2</anchor>
      <arglist>(bool bInit)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIconArea</name>
      <anchor>a3</anchor>
      <arglist>(const QRect &amp;rect)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>focusOutEvent</name>
      <anchor>a4</anchor>
      <arglist>(QFocusEvent *)</arglist>
    </member>
    <member kind="function">
      <type>QRect</type>
      <name>iconArea</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLineupMode</name>
      <anchor>a6</anchor>
      <arglist>(int mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lineupMode</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lineupIcons</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcons</name>
      <anchor>a9</anchor>
      <arglist>(int size, const QStringList &amp;stopImagePreviewFor=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refreshMimeTypes</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iconSize</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateGridX</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>gridXValue</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startImagePreview</name>
      <anchor>a14</anchor>
      <arglist>(const QStringList &amp;ignored, bool force)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopImagePreview</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPreviewRunning</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setThumbnailPixmap</name>
      <anchor>a17</anchor>
      <arglist>(KFileIVI *item, const QPixmap &amp;pixmap)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableSoundPreviews</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setURL</name>
      <anchor>a19</anchor>
      <arglist>(const KURL &amp;kurl)</arglist>
    </member>
    <member kind="function">
      <type>const KURL &amp;</type>
      <name>url</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>urlString</name>
      <anchor>a21</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRootItem</name>
      <anchor>a22</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="function">
      <type>KFileItemList</type>
      <name>selectedFileItems</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemColor</name>
      <anchor>a24</anchor>
      <arglist>(const QColor &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>QColor</type>
      <name>itemColor</name>
      <anchor>a25</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>cutSelection</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>copySelection</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>pasteSelection</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KURL::List</type>
      <name>selectedUrls</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paste</name>
      <anchor>a30</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sortDirectoriesFirst</name>
      <anchor>a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSortDirectoriesFirst</name>
      <anchor>a32</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCaseInsensitiveSort</name>
      <anchor>a33</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>caseInsensitiveSort</name>
      <anchor>a34</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KURL::List &amp;</type>
      <name>dragURLs</name>
      <anchor>a35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchor>a36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>takeItem</name>
      <anchor>a37</anchor>
      <arglist>(QIconViewItem *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insertInGrid</name>
      <anchor>a38</anchor>
      <arglist>(QIconViewItem *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setItemTextPos</name>
      <anchor>a39</anchor>
      <arglist>(ItemTextPos pos)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>visualActivate</name>
      <anchor>a40</anchor>
      <arglist>(QIconViewItem *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDesktop</name>
      <anchor>a41</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setWallpaper</name>
      <anchor>a42</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>maySetWallpaper</name>
      <anchor>a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaySetWallpaper</name>
      <anchor>a44</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableIcons</name>
      <anchor>a45</anchor>
      <arglist>(const KURL::List &amp;lst)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iconPositionGroupPrefix</name>
      <anchor>a46</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dotDirectoryPath</name>
      <anchor>a47</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreviewSettings</name>
      <anchor>a48</anchor>
      <arglist>(const QStringList &amp;mimeTypes)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>previewSettings</name>
      <anchor>a49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNewURL</name>
      <anchor>a50</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDropped</name>
      <anchor>j0</anchor>
      <arglist>(QDropEvent *e, const QValueList&lt; QIconDragItem &gt; &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotItemRenamed</name>
      <anchor>j1</anchor>
      <arglist>(QIconViewItem *item, const QString &amp;name)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotIconChanged</name>
      <anchor>j2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOnItem</name>
      <anchor>j3</anchor>
      <arglist>(QIconViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOnViewport</name>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStartSoundPreview</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreview</name>
      <anchor>j6</anchor>
      <arglist>(const KFileItem *, const QPixmap &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreviewResult</name>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMovieUpdate</name>
      <anchor>j8</anchor>
      <arglist>(const QRect &amp;rect)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMovieStatus</name>
      <anchor>j9</anchor>
      <arglist>(int status)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReenableAnimation</name>
      <anchor>j10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAboutToCreate</name>
      <anchor>j11</anchor>
      <arglist>(const QPoint &amp;pos, const QValueList&lt; KIO::CopyInfo &gt; &amp;files)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doubleClickTimeout</name>
      <anchor>j12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QDragObject *</type>
      <name>dragObject</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KonqIconDrag *</type>
      <name>konqDragObject</name>
      <anchor>b1</anchor>
      <arglist>(QWidget *dragSource=0L)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>mimeTypeMatch</name>
      <anchor>b2</anchor>
      <arglist>(const QString &amp;mimeType, const QStringList &amp;mimeList) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawBackground</name>
      <anchor>b3</anchor>
      <arglist>(QPainter *p, const QRect &amp;r)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawBackground</name>
      <anchor>b4</anchor>
      <arglist>(QPainter *p, const QRect &amp;r, const QPoint &amp;pt)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragEnterEvent</name>
      <anchor>b5</anchor>
      <arglist>(QDragEnterEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDropEvent</name>
      <anchor>b6</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMousePressEvent</name>
      <anchor>b7</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseReleaseEvent</name>
      <anchor>b8</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseMoveEvent</name>
      <anchor>b9</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>backgroundPixmapChange</name>
      <anchor>b10</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>wheelEvent</name>
      <anchor>b11</anchor>
      <arglist>(QWheelEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readAnimatedIconsConfig</name>
      <anchor>b12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>mousePressChangeValue</name>
      <anchor>b13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>sortDirectoriesFirst</name>
      <anchor>00</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QRect</type>
      <name>iconArea</name>
      <anchor>01</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>int</type>
      <name>lineupMode</name>
      <anchor>02</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QString</type>
      <name>url</name>
      <anchor>03</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqOperations</name>
    <filename>classKonqOperations.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>statFinished</name>
      <anchor>l0</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>aboutToCreate</name>
      <anchor>l1</anchor>
      <arglist>(const QPoint &amp;pos, const QValueList&lt; KIO::CopyInfo &gt; &amp;files)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>editMimeType</name>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>del</name>
      <anchor>e1</anchor>
      <arglist>(QWidget *parent, int method, const KURL::List &amp;selectedURLs)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>copy</name>
      <anchor>e2</anchor>
      <arglist>(QWidget *parent, int method, const KURL::List &amp;selectedURLs, const KURL &amp;destUrl)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>doDrop</name>
      <anchor>e3</anchor>
      <arglist>(const KFileItem *destItem, const KURL &amp;destURL, QDropEvent *ev, QWidget *parent)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>doPaste</name>
      <anchor>e4</anchor>
      <arglist>(QWidget *parent, const KURL &amp;destURL, const QPoint &amp;pos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>doPaste</name>
      <anchor>e5</anchor>
      <arglist>(QWidget *parent, const KURL &amp;destURL)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>emptyTrash</name>
      <anchor>e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>mkdir</name>
      <anchor>e7</anchor>
      <arglist>(QWidget *parent, const KURL &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>statURL</name>
      <anchor>e8</anchor>
      <arglist>(const KURL &amp;url, const QObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>rename</name>
      <anchor>e9</anchor>
      <arglist>(QWidget *parent, const KURL &amp;oldurl, const QString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>rename</name>
      <anchor>e10</anchor>
      <arglist>(QWidget *parent, const KURL &amp;oldurl, const KURL &amp;newurl)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>newDir</name>
      <anchor>e11</anchor>
      <arglist>(QWidget *parent, const KURL &amp;baseURL)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAboutToCreate</name>
      <anchor>j0</anchor>
      <arglist>(KIO::Job *job, const QValueList&lt; KIO::CopyInfo &gt; &amp;files)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotResult</name>
      <anchor>j1</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStatResult</name>
      <anchor>j2</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>asyncDrop</name>
      <anchor>j3</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotKIOPaste</name>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doFileCopy</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KonqOperations</name>
      <anchor>b0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>askDeleteConfirmation</name>
      <anchor>b2</anchor>
      <arglist>(const KURL::List &amp;selectedURLs, int confirmation)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>_del</name>
      <anchor>b3</anchor>
      <arglist>(int method, const KURL::List &amp;selectedURLs, int confirmation)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>_statURL</name>
      <anchor>b4</anchor>
      <arglist>(const KURL &amp;url, const QObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setOperation</name>
      <anchor>b5</anchor>
      <arglist>(KIO::Job *job, int method, const KURL::List &amp;src, const KURL &amp;dest)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDropInfo</name>
      <anchor>b6</anchor>
      <arglist>(DropInfo *info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPasteInfo</name>
      <anchor>b7</anchor>
      <arglist>(KIOPasteInfo *info)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqPopupMenu</name>
    <filename>classKonqPopupMenu.html</filename>
    <base>KonqXMLGUIClient</base>
    <member kind="typedef">
      <type>uint</type>
      <name>KonqPopupFlags</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupNewDir</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupNewView</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupEmptyTrashBin</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupOpenWith</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupAddToBookmark</name>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRunService</name>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupMimeType</name>
      <anchor>i6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPopupProperties</name>
      <anchor>i7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenShareFileDialog</name>
      <anchor>i8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqPopupMenu</name>
      <anchor>a0</anchor>
      <arglist>(KBookmarkManager *manager, const KFileItemList &amp;items, KURL viewURL, KActionCollection &amp;actions, KNewMenu *newMenu, bool showPropertiesAndFileType=true) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqPopupMenu</name>
      <anchor>a1</anchor>
      <arglist>(KBookmarkManager *manager, const KFileItemList &amp;items, KURL viewURL, KActionCollection &amp;actions, KNewMenu *newMenu, QWidget *parentWidget, bool showPropertiesAndFileType=true) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KonqPopupMenu</name>
      <anchor>a2</anchor>
      <arglist>(KBookmarkManager *manager, const KFileItemList &amp;items, const KURL &amp;viewURL, KActionCollection &amp;actions, KNewMenu *newMenu, QWidget *parentWidget, KonqPopupFlags kpf, KParts::BrowserExtension::PopupFlags f)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KonqPopupMenu</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setURLTitle</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;urlTitle)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KAction *</type>
      <name>action</name>
      <anchor>a5</anchor>
      <arglist>(const QDomElement &amp;element) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KActionCollection *</type>
      <name>actionCollection</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mimeType</name>
      <anchor>a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KFileItemList</type>
      <name>fileItemList</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KURL::List</type>
      <name>popupURLList</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ProtocolInfo</type>
      <name>protocolInfo</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KActionCollection &amp;</type>
      <name>m_actions</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KActionCollection</type>
      <name>m_ownActions</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqPropsView</name>
    <filename>classKonqPropsView.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqPropsView</name>
      <anchor>a0</anchor>
      <arglist>(KInstance *instance, KonqPropsView *defaultProps)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KonqPropsView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefaultProperties</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>enterDir</name>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;dir)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveViewPropertiesLocally</name>
      <anchor>a4</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIconSize</name>
      <anchor>a5</anchor>
      <arglist>(int size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>iconSize</name>
      <anchor>a6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemTextPos</name>
      <anchor>a7</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>itemTextPos</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSortCriterion</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;criterion)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>sortCriterion</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDirsFirst</name>
      <anchor>a11</anchor>
      <arglist>(bool first)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDirsFirst</name>
      <anchor>a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescending</name>
      <anchor>a13</anchor>
      <arglist>(bool descending)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDescending</name>
      <anchor>a14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowingDotFiles</name>
      <anchor>a15</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShowingDotFiles</name>
      <anchor>a16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCaseInsensitiveSort</name>
      <anchor>a17</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isCaseInsensitiveSort</name>
      <anchor>a18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowingDirectoryOverlays</name>
      <anchor>a19</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShowingDirectoryOverlays</name>
      <anchor>a20</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowingPreview</name>
      <anchor>a21</anchor>
      <arglist>(const QString &amp;preview, bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowingPreview</name>
      <anchor>a22</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShowingPreview</name>
      <anchor>a23</anchor>
      <arglist>(const QString &amp;preview) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isShowingPreview</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>previewSettings</name>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBgColor</name>
      <anchor>a26</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>bgColor</name>
      <anchor>a27</anchor>
      <arglist>(QWidget *widget) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextColor</name>
      <anchor>a28</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>textColor</name>
      <anchor>a29</anchor>
      <arglist>(QWidget *widget) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBgPixmapFile</name>
      <anchor>a30</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>bgPixmapFile</name>
      <anchor>a31</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>applyColors</name>
      <anchor>a32</anchor>
      <arglist>(QWidget *widget) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QPixmap</type>
      <name>loadPixmap</name>
      <anchor>b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KConfigBase *</type>
      <name>currentConfig</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KConfigBase *</type>
      <name>currentColorConfig</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>currentGroup</name>
      <anchor>b3</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KonqXMLGUIClient</name>
    <filename>classKonqXMLGUIClient.html</filename>
    <member kind="function">
      <type></type>
      <name>KonqXMLGUIClient</name>
      <anchor>a1</anchor>
      <arglist>(KXMLGUIClient *parent)</arglist>
    </member>
    <member kind="function">
      <type>QDomDocument</type>
      <name>domDocument</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDomElement</type>
      <name>DomElement</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAction</name>
      <anchor>b0</anchor>
      <arglist>(KAction *action, const QDomElement &amp;menu=QDomElement())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAction</name>
      <anchor>b1</anchor>
      <arglist>(const char *name, const QDomElement &amp;menu=QDomElement())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addSeparator</name>
      <anchor>b2</anchor>
      <arglist>(const QDomElement &amp;menu=QDomElement())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addGroup</name>
      <anchor>b3</anchor>
      <arglist>(const QString &amp;grp)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addMerge</name>
      <anchor>b4</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>prepareXMLGUIStuff</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDomDocument</type>
      <name>m_doc</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QDomElement</type>
      <name>m_menuElement</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>attrName</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
